Summary:          Software to turn the RTL2832U into a SDR receiver
Name:             rtl-sdr
Version:          2.0.1
Release:          2%{?dist}
License:          GPLv2+
URL:              http://sdr.osmocom.org/trac/wiki/rtl-sdr
Source0:          https://github.com/steve-m/librtlsdr/archive/v%{version}.tar.gz

BuildRequires:    gcc cmake libusbx-devel 
Requires(pre):    shadow-utils glibc-common

%description
This package can turn your RTL2832 based DVB-T dongle into a SDR receiver.

%package devel
Summary:          Development files for rtl-sdr
Requires:         %{name} = %{version}-%{release}

%description devel
Development libraries and header files for using rtl-sdr.

%prep
%autosetup -n librtlsdr-%{version} -p1
rm -r src/getopt/

%build
%cmake -DDETACH_KERNEL_DRIVER=ON
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_libdir}/*.a

sed -i 's|MODE:="0666"|GROUP:="rtlsdr", MODE:="0660", ENV{ID_SOFTWARE_RADIO}="1"|' ./rtl-sdr.rules
install -Dpm 644 ./rtl-sdr.rules %{buildroot}%{_prefix}/lib/udev/rules.d/10-rtl-sdr.rules

%pre
getent group rtlsdr >/dev/null || \
  %{_sbindir}/groupadd -r rtlsdr >/dev/null 2>&1
exit 0

%files
%license COPYING
%doc AUTHORS
%{_bindir}/*
%{_libdir}/*.so.*
%{_prefix}/lib/udev/rules.d/10-rtl-sdr.rules

%files devel
%{_includedir}/*	
%{_libdir}/cmake/rtlsdr
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-2
- Rebuilt for loongarch release

* Fri Dec 22 2023 Upgrade Robot <upbot@opencloudos.org> - 2.0.1-1
- Upgrade to version 2.0.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 2 2022 Wang Zhe <bessiewang@tencent.com> - 0.6.0-1
- initial build
